@font-face {
  font-family: "Poppins header";
  src: url("../fonts/Poppins-Black.ttf");
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Poppins-Regular.ttf");
}

h1,
h2,
h3 {
  font-family: "Poppins header" !important;
}

html,
body {
  overflow-x: hidden;
}

body {
  position: relative;
}

.well {
  min-height: 20px;
  padding: 19px;
  margin-bottom: 20px;
  background-color: #f5f5f5;
  border: 1px solid #e3e3e3;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}

body {
  font: 14px "Poppins";

  background-color: #fff;
}

.wrapper {
  width: 350px;

  margin-top: 15% !important;

  padding: 20px;

  text-align: center;

  margin: auto;

  background-color: rgba(208, 236, 248, 0.9);

  border-radius: 25px;
}

.overdue {
  background-color: #f6abff !important;
}

table.dataTable.display tbody tr.odd > .sorting_2,
table.dataTable.order-column.stripe tbody tr.odd > .sorting_2 {
  background-color: rgba(255, 255, 255, 0.25) !important;
}

table.dataTable.display tbody tr.even > .sorting_2,
table.dataTable.order-column.stripe tbody tr.even > .sorting_2 {
  background-color: rgba(255, 255, 255, 0.25) !important;
}

table.dataTable.display tbody tr.odd > .sorting_1,
table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
  background-color: rgba(255, 255, 255, 0.25) !important;
}

table.dataTable.display tbody tr.even > .sorting_1,
table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
  background-color: rgba(255, 255, 255, 0.25) !important;
}

tr td.dtr-control {
  position: relative;
  padding: 0;
  text-align: center;
  vertical-align: middle;
  background: pink !important;
}

td.dtr-control .overdue-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.5em;
}

.badge-danger {
  border: 2px solid #000 !important;
}

.container {
  max-width: 1800px !important;

  min-height: 500px;

  background-color: rgba(248, 249, 250, 0.85) !important;

  margin-top: 25px;
}

.container {
  padding-bottom: 50px;
}

.overlay {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 999;
  background: rgba(255, 255, 255, 0.8) url("../images/loader.gif") center
    no-repeat;
}
/* Turn off scrollbar when body element has the loading class */
body.loading {
  overflow: hidden;
}
/* Make spinner image visible when body element has the loading class */
body.loading .overlay {
  display: block;
}

table {
  width: 100%;
}

#chartContainer {
  background-color: #fff;

  border-radius: 25px;

  padding: 25px;
}

#accordion1 {
  margin-top: 30px;
}

nav {
}

.nav-link {
  padding: 25px;

  margin-left: 25px;

  min-width: 100px;

  text-align: center;

  color: #2b2b2b !important;
}

.dashboard-row {
  padding: 30px;
}

.dashboard-box {
  padding: 30px;

  border-radius: 25px;

  border: 2px solid;

  margin-top: 10px;
}

.cell {
  padding-top: 10px;
}

.peach {
  background-color: rgb(241, 153, 129, 0.7) !important;
}

.blue {
  background-color: rgb(208, 236, 248, 0.7) !important;
}

.yellow {
  background-color: rgb(239, 233, 51, 0.7) !important;
}

.grey {
  background-color: rgb(155, 155, 155, 0.4) !important;
}

.white {
  background-color: rgb(255, 255, 255, 0.4) !important;
}

.resultsRow {
  padding: 30px;

  border: 5px solid;

  border-radius: 25px;

  margin-bottom: 10px;

  background-color: #ebeca5;
}

.row.resultsRow.gray a {
  color: #fbff00;
}

.locationResult {
  padding: 30px;

  font-size: 16px;

  border: 5px solid;

  border-radius: 25px;

  margin-bottom: 10px;
}

.locationButton {
  width: 155px;

  margin-bottom: 15px;
}

.edit-control {
  width: inherit;

  display: block;

  height: calc(1.5em + 0.75rem + 2px);

  padding: 0.375rem 0.75rem;

  font-size: 1rem;

  font-weight: 400;

  line-height: 1.5;

  color: #495057;

  background-color: #fff;

  background-clip: padding-box;

  border: 1px solid #ced4da;

  border-radius: 0.25rem;

  transition:
    border-color 0.15s ease-in-out,
    box-shadow 0.15s ease-in-out;
}

.btn-primary:hover {
  color: #000;

  background-color: #f1f1f1;

  border-color: #24d510;
}

.saveBtn {
  margin-top: 25px;

  background-color: #24d510;

  width: 100%;
}

.editBtn {
  width: 100%;
}

.gray {
  background-color: #1566b7;

  color: #fff;
}

button.btn.btn-primary.searchBtn {
  width: 100%;
}

hr {
  margin: 15px;

  border: 1px solid #000;

  width: 100%;
}

footer {
  width: 100%;

  height: auto;

  background-image: url("../images/aackids-footer-bg.jpg");

  background-size: cover;

  color: #ffffff;
}

.footerBox {
  padding: 50px;
}

.footerImage {
  max-width: 125px;

  height: auto;
}

.iframeContainer {
  position: relative;

  overflow: hidden;

  width: 100%;

  padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

/* Then style the iframe to fit in the container div with full height and width */

.responsive-iframe {
  position: absolute;

  border: 0;

  top: 0;

  left: 0;

  bottom: 0;

  right: 0;

  width: 100%;

  height: 400px;
}

#mobileToolTip {
  display: none;
}

#dashboardHeader {
  padding: 15px;
}

/* Smartphones (portrait and landscape) ----------- */

@media only screen and (min-device-width: 320px) and (max-device-width: 480px) {
  body {
    font: 14px sans-serif;

    background-color: #fff;
  }
  .nav-link {
    margin-left: 0px !important;

    margin-top: 25px;
  }

  .col-xs-3.col-md-1.searchNav {
    width: auto !important;
  }

  .saveBtn {
    margin-top: 20px;
  }

  .checkbox {
    margin-left: 45% !important;
  }

  #mobileToolTip {
    display: block;
  }

  #dashboardHeader {
    padding: 5px;
  }
}

/* Smartphones (landscape) ----------- */

@media only screen and (min-width: 321px) {
}

/* Smartphones (portrait) ----------- */

@media only screen and (max-width: 320px) {
}

/* iPads (portrait and landscape) ----------- */

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
}

/* iPads (landscape) ----------- */

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: landscape) {
}

/* iPads (portrait) ----------- */

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) {
}

/* iPad 3 (portrait and landscape) ----------- */

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 2),
  only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (min-resolution: 192dpi) {
}

/* Desktops and laptops ----------- */

@media only screen and (min-width: 1224px) {
  .row.searchBar {
    margin: 20px;
  }

  .saveBtn {
    background-color: #24d510;

    width: 60%;
  }
}

/* Large screens ----------- */

@media only screen and (min-width: 1824px) {
}

/* Retina displays ----------- */

@media only screen and (-webkit-min-device-pixel-ratio: 2),
  only screen and (min-resolution: 192dpi) {
}

/* Mobile responsive design ----------- 30/09*/

@media (max-width: 700px) {
  /*tables order for mobile*/
  #tasks_wrapper {
    display: flex;
    flex-direction: column;
  }

  #tasks_length {
    order: 2;
    padding: 2px 0;
  }
  #tasks_filter {
    order: 1;
  }

  /* keeps the other tables at the same spot */
  #tasks {
    order: 3;
    width: 100% !important;
  }
  #tasks_info {
    order: 4;
  }
  #tasks_paginate {
    order: 5;
  }
  /*end of tables order*/

  h1 {
    font-size: 1.8rem;
  }
  .container h1 {
    font-size: 1.3rem;
  }

  #dashboardHeader h1 {
    font-size: 1.25rem;
  }

  h2 {
    font-size: 1.2rem;
  }
  h3 {
    font-size: 1.15rem;
  }

  .dataTables_filter button {
    margin: 10px 0;
  }
  .dataTables_filter label,
  .dataTables_filter label input {
    width: 95%;
  }
  .dataTables_filter label {
    font-size: 15px;
  }
  .dataTables_filter label input {
    height: 2em;
    border-radius: 0.5em;
    margin-top: 0.3em;
  }

  table {
    display: block;
    overflow-x: auto;
    border-spacing: 0;
    -webkit-overflow-scrolling: touch;
  }
  thead {
    width: 100%;
    display: inline-block;
  }
  thead tr {
    color: white;
  }
  thead tr th {
    font-size: 14px;
  }
  tbody {
    display: block;
  }
  tbody tr.result {
    height: 100%;
    display: flex;
    position: relative;
    margin-bottom: 0.25rem;
    border: 1px solid #e5e7eb;
    border-radius: 8px;
    width: 100%;
  }

  tr.result:first-child {
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
  }

  tbody tr.child {
    display: flex;
    justify-content: center;
    padding: 0;
  }
  tbody tr.child td.child {
    border-top: none !important;
  }

  tbody tr.result td {
    padding: 0.5rem 0.2rem;
  }

  tbody td::before {
    font-weight: bold;
  }

  td.dtr-control {
    display: flex;
    align-items: center;
  }

  tr.result td:last-child {
    display: flex;
    align-items: center;
  }
  .btn-success {
    border-radius: 5px;
  }
  table.dataTable thead tr {
    box-shadow: none !important;
  }
  table.dataTable thead th {
    border-top: none !important;
    border-bottom: none !important;
  }
  table.dataTable.no-footer {
    padding-bottom: 5px;
  }
}

@media (max-width: 375px) {
  thead tr th {
    font-size: 12px;
  }
}
/* Ends  of Mobile design*/
